libetonyek::KEYCollectorBase Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::KEYCollectorBase Class Reference

Implementation of common parts of styles and content collector. More...

`#include <KEYCollectorBase.h>`

Inheritance diagram for libetonyek::KEYCollectorBase:

## Classes
struct | Level

## Public Member Functions
| KEYCollectorBase (KEYDictionary &dict, const KEYDefaults &defaults)
| ~KEYCollectorBase ()
virtual void | collectCellStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectCharacterStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectConnectionStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGraphicStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectLayoutStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectListStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectParagraphStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectPlaceholderStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectSlideStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectTabularStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectVectorStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGeometry (boost::optional< ID_t > &id, boost::optional< KEYSize > &naturalSize, boost::optional< KEYSize > &size, boost::optional< KEYPosition > &position, boost::optional< double > &angle, boost::optional< double > &shearXAngle, boost::optional< double > &shearYAngle, boost::optional< bool > &horizontalFlip, boost::optional< bool > &verticalFlip, boost::optional< bool > &aspectRatioLocked, boost::optional< bool > &sizesLocked)
virtual void | collectBezier (const boost::optional< ID_t > &id, const KEYPathPtr_t &path, bool ref)
virtual void | collectGroup (const boost::optional< ID_t > &id, const KEYGroupPtr_t &group)
virtual void | collectImage (const boost::optional< ID_t > &id, const KEYImagePtr_t &image)
virtual void | collectLine (const boost::optional< ID_t > &id, const KEYLinePtr_t &line)
virtual void | collectShape (const boost::optional< ID_t > &id)
virtual void | collectBezierPath (const boost::optional< ID_t > &id)
virtual void | collectPolygonPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned edges)
virtual void | collectRoundedRectanglePath (const boost::optional< ID_t > &id, const KEYSize &size, double radius)
virtual void | collectArrowPath (const boost::optional< ID_t > &id, const KEYSize &size, double headWidth, double stemRelYPos, bool doubleSided)
virtual void | collectStarPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned points, double innerRadius)
virtual void | collectConnectionPath (const boost::optional< ID_t > &id, const KEYSize &size, double middleX, double middleY)
virtual void | collectCalloutPath (const boost::optional< ID_t > &id, const KEYSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
virtual void | collectData (const boost::optional< ID_t > &id, const RVNGInputStreamPtr_t &stream, const boost::optional< std::string > &displayName, const boost::optional< unsigned > &type, bool ref)
virtual void | collectUnfiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size, bool ref)
virtual void | collectFiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectLeveled (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectFilteredImage (const boost::optional< ID_t > &id, bool ref)
virtual void | collectMovieMedia (const boost::optional< ID_t > &id)
virtual void | collectMedia (const boost::optional< ID_t > &id)
virtual void | collectLayer (const boost::optional< ID_t > &id, bool ref)
virtual void | collectStylesheet (const boost::optional< ID_t > &id, const boost::optional< ID_t > &parent)
virtual void | collectText (const boost::optional< ID_t > &style, const std::string &text)
virtual void | collectTab ()
virtual void | collectLineBreak ()
virtual void | collectTextPlaceholder (const boost::optional< ID_t > &id, bool title, bool ref)
virtual void | collectTableSizes (const KEYTable::RowSizes_t &rowSizes, const KEYTable::ColumnSizes_t &columnSizes)
virtual void | collectTableCell (unsigned row, unsigned column, const boost::optional< std::string > &content, unsigned rowSpan, unsigned columnSpan)
virtual void | collectCoveredTableCell (unsigned row, unsigned column)
virtual void | collectTableRow ()
virtual void | collectTable ()
virtual void | collectNote ()
virtual void | collectStickyNote ()
virtual void | startPage ()
virtual void | endPage ()
virtual void | startLayer ()
virtual void | endLayer ()
virtual void | startGroup ()
virtual void | endGroup ()
virtual void | startParagraph (const boost::optional< ID_t > &style)
virtual void | endParagraph ()
virtual void | startText (bool object)
| Start of a block that can contain text. More...
virtual void | endText ()
| End of a text block. More...
virtual void | startLevel ()
virtual void | endLevel ()
Public Member Functions inherited from libetonyek::KEYCollector
virtual | ~KEYCollector ()=0
virtual void | collectPresentation (const boost::optional< KEYSize > &size)=0
virtual void | collectPage (const boost::optional< ID_t > &id)=0
virtual void | startSlides ()=0
virtual void | endSlides ()=0
virtual void | startThemes ()=0
virtual void | endThemes ()=0

## Protected Member Functions
bool | isCollecting () const
void | setCollecting (bool collecting)
const KEYDefaults & | getDefaults () const
const KEYLayerPtr_t & | getLayer () const
const KEYObjectList_t & | getNotes () const
const KEYStickyNotes_t & | getStickyNotes () const

## Private Attributes
KEYDictionary & | m_dict
const KEYDefaults & | m_defaults
KEYLayerPtr_t | m_currentLayer
std::stack< Level > | m_levelStack
std::stack< KEYObjectList_t > | m_objectsStack
KEYPathPtr_t | m_currentPath
KEYTextPtr_t | m_currentText
KEYPlaceholderStylePtr_t | m_currentPlaceholderStyle
KEYStylesheetPtr_t | m_currentStylesheet
std::deque< KEYStylePtr_t > | m_newStyles
KEYDataPtr_t | m_currentData
KEYMediaContentPtr_t | m_currentUnfiltered
KEYMediaContentPtr_t | m_currentFiltered
KEYMediaContentPtr_t | m_currentLeveled
KEYMediaContentPtr_t | m_currentContent
KEYTable | m_currentTable
KEYObjectList_t | m_notes
KEYStickyNotes_t | m_stickyNotes
bool | m_collecting
bool | m_layerOpened
int | m_groupLevel

## Detailed Description

Implementation of common parts of styles and content collector.

It collects styles and drawable objects.

## Constructor & Destructor Documentation

libetonyek::KEYCollectorBase::KEYCollectorBase | ( | KEYDictionary & | dict,
|  | const KEYDefaults & | defaults
| ) |  |

libetonyek::KEYCollectorBase::~KEYCollectorBase | ( |  | ) |

## Member Function Documentation

void libetonyek::KEYCollectorBase::collectArrowPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | headWidth,
|  | double | stemRelYPos,
|  | bool | doubleSided
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectBezier | ( | const boost::optional< ID_t > & | id,
|  | const KEYPathPtr_t & | path,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectBezierPath | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectCalloutPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | radius,
|  | double | tailSize,
|  | double | tailX,
|  | double | tailY,
|  | bool | quoteBubble
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectCellStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectCharacterStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectConnectionPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | middleX,
|  | double | middleY
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectConnectionStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectCoveredTableCell | ( | unsigned | row,
|  | unsigned | column
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectData | ( | const boost::optional< ID_t > & | id,
|  | const RVNGInputStreamPtr_t & | stream,
|  | const boost::optional< std::string > & | displayName,
|  | const boost::optional< unsigned > & | type,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectFiltered | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectFilteredImage | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectGeometry | ( | boost::optional< ID_t > & | id,
|  | boost::optional< KEYSize > & | naturalSize,
|  | boost::optional< KEYSize > & | size,
|  | boost::optional< KEYPosition > & | position,
|  | boost::optional< double > & | angle,
|  | boost::optional< double > & | shearXAngle,
|  | boost::optional< double > & | shearYAngle,
|  | boost::optional< bool > & | horizontalFlip,
|  | boost::optional< bool > & | verticalFlip,
|  | boost::optional< bool > & | aspectRatioLocked,
|  | boost::optional< bool > & | sizesLocked
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectGraphicStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectGroup | ( | const boost::optional< ID_t > & | id,
|  | const KEYGroupPtr_t & | group
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectImage | ( | const boost::optional< ID_t > & | id,
|  | const KEYImagePtr_t & | image
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectLayer | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

Reimplemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEYThemeCollector::collectLayer(), and libetonyek::KEYContentCollector::collectLayer().

void libetonyek::KEYCollectorBase::collectLayoutStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectLeveled | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectLine | ( | const boost::optional< ID_t > & | id,
|  | const KEYLinePtr_t & | line
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectLineBreak | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectListStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectMedia | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectMovieMedia | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectNote | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectParagraphStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectPlaceholderStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectPolygonPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | unsigned | edges
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectRoundedRectanglePath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | radius
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectShape | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectSlideStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectStarPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | unsigned | points,
|  | double | innerRadius
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectStickyNote | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectStylesheet | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< ID_t > & | parent
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTab | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTable | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTableCell | ( | unsigned | row,
|  | unsigned | column,
|  | const boost::optional< std::string > & | content,
|  | unsigned | rowSpan,
|  | unsigned | columnSpan
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTableRow | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTableSizes | ( | const KEYTable::RowSizes_t & | rowSizes,
|  | const KEYTable::ColumnSizes_t & | columnSizes
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTabularStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectText | ( | const boost::optional< ID_t > & | style,
|  | const std::string & | text
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectTextPlaceholder | ( | const boost::optional< ID_t > & | id,
|  | bool | title,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectUnfiltered | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size,
|  | bool | ref
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::collectVectorStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::endGroup | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::endLayer | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Reimplemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEYThemeCollector::endLayer(), and libetonyek::KEYContentCollector::endLayer().

void libetonyek::KEYCollectorBase::endLevel | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Referenced by endLayer().

void libetonyek::KEYCollectorBase::endPage | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Reimplemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEYContentCollector::endPage().

void libetonyek::KEYCollectorBase::endParagraph | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::endText | ( |  | ) |
| virtual

End of a text block.

Implements libetonyek::KEYCollector.

const KEYDefaults & libetonyek::KEYCollectorBase::getDefaults | ( |  | ) | const
| protected

Referenced by libetonyek::KEYThemeCollector::collectPresentation().

const KEYLayerPtr_t & libetonyek::KEYCollectorBase::getLayer | ( |  | ) | const
| protected

Referenced by libetonyek::KEYThemeCollector::collectLayer(), and libetonyek::KEYContentCollector::collectLayer().

const KEYObjectList_t & libetonyek::KEYCollectorBase::getNotes | ( |  | ) | const
| protected

Referenced by libetonyek::KEYContentCollector::collectPage().

const KEYStickyNotes_t & libetonyek::KEYCollectorBase::getStickyNotes | ( |  | ) | const
| protected

Referenced by libetonyek::KEYContentCollector::collectPage().

bool libetonyek::KEYCollectorBase::isCollecting | ( |  | ) | const
| protected

Referenced by libetonyek::KEYThemeCollector::collectLayer(), libetonyek::KEYContentCollector::collectLayer(), libetonyek::KEYContentCollector::collectPage(), libetonyek::KEYContentCollector::endLayer(), libetonyek::KEYContentCollector::endPage(), libetonyek::KEYContentCollector::startLayer(), and libetonyek::KEYContentCollector::startPage().

void libetonyek::KEYCollectorBase::setCollecting | ( | bool | collecting | ) |
| protected

Referenced by libetonyek::KEYContentCollector::endSlides(), libetonyek::KEYThemeCollector::endThemes(), libetonyek::KEYContentCollector::startSlides(), and libetonyek::KEYThemeCollector::startThemes().

void libetonyek::KEYCollectorBase::startGroup | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::startLayer | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Reimplemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEYThemeCollector::startLayer(), and libetonyek::KEYContentCollector::startLayer().

void libetonyek::KEYCollectorBase::startLevel | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Referenced by startLayer().

void libetonyek::KEYCollectorBase::startPage | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

Reimplemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEYContentCollector::startPage().

void libetonyek::KEYCollectorBase::startParagraph | ( | const boost::optional< ID_t > & | style | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYCollectorBase::startText | ( | bool | object | ) |
| virtual

Start of a block that can contain text.

This can be:

- a text shape
- a sticky note
- a placeholder
- a note.

Implements libetonyek::KEYCollector.

## Member Data Documentation

bool libetonyek::KEYCollectorBase::m_collecting
| private

Referenced by collectArrowPath(), collectBezier(), collectCalloutPath(), collectCharacterStyle(), collectConnectionPath(), collectCoveredTableCell(), collectData(), collectFiltered(), collectFilteredImage(), collectGeometry(), collectGraphicStyle(), collectGroup(), collectImage(), collectLayer(), collectLayoutStyle(), collectLeveled(), collectLine(), collectLineBreak(), collectMedia(), collectMovieMedia(), collectNote(), collectParagraphStyle(), collectPlaceholderStyle(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), collectStickyNote(), collectStylesheet(), collectTab(), collectTable(), collectTableCell(), collectTableSizes(), collectText(), collectTextPlaceholder(), collectUnfiltered(), endGroup(), endLayer(), endLevel(), endParagraph(), endText(), isCollecting(), setCollecting(), startGroup(), startLayer(), startLevel(), startParagraph(), startText(), and ~KEYCollectorBase().

KEYMediaContentPtr_t libetonyek::KEYCollectorBase::m_currentContent
| private

Referenced by collectFilteredImage(), collectMedia(), and collectMovieMedia().

KEYDataPtr_t libetonyek::KEYCollectorBase::m_currentData
| private

Referenced by collectData(), collectFiltered(), collectLeveled(), collectMovieMedia(), and collectUnfiltered().

KEYMediaContentPtr_t libetonyek::KEYCollectorBase::m_currentFiltered
| private

Referenced by collectFiltered(), and collectFilteredImage().

KEYLayerPtr_t libetonyek::KEYCollectorBase::m_currentLayer
| private

Referenced by collectLayer(), endLayer(), getLayer(), and startLayer().

KEYMediaContentPtr_t libetonyek::KEYCollectorBase::m_currentLeveled
| private

Referenced by collectFilteredImage(), and collectLeveled().

KEYPathPtr_t libetonyek::KEYCollectorBase::m_currentPath
| private

Referenced by collectArrowPath(), collectBezier(), collectCalloutPath(), collectConnectionPath(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), and ~KEYCollectorBase().

KEYPlaceholderStylePtr_t libetonyek::KEYCollectorBase::m_currentPlaceholderStyle
| private

Referenced by collectPlaceholderStyle(), collectStylesheet(), collectTextPlaceholder(), and ~KEYCollectorBase().

KEYStylesheetPtr_t libetonyek::KEYCollectorBase::m_currentStylesheet
| private

Referenced by collectCharacterStyle(), collectGraphicStyle(), collectLayoutStyle(), collectParagraphStyle(), collectPlaceholderStyle(), and collectStylesheet().

KEYTable libetonyek::KEYCollectorBase::m_currentTable
| private

Referenced by collectCoveredTableCell(), collectTable(), collectTableCell(), and collectTableSizes().

KEYTextPtr_t libetonyek::KEYCollectorBase::m_currentText
| private

Referenced by collectLayoutStyle(), collectLineBreak(), collectNote(), collectShape(), collectStickyNote(), collectTab(), collectTableCell(), collectText(), collectTextPlaceholder(), endParagraph(), endText(), startParagraph(), startText(), and ~KEYCollectorBase().

KEYMediaContentPtr_t libetonyek::KEYCollectorBase::m_currentUnfiltered
| private

Referenced by collectFilteredImage(), and collectUnfiltered().

const KEYDefaults& libetonyek::KEYCollectorBase::m_defaults
| private

Referenced by collectGeometry(), and getDefaults().

KEYDictionary& libetonyek::KEYCollectorBase::m_dict
| private

Referenced by collectBezier(), collectCharacterStyle(), collectData(), collectFilteredImage(), collectGraphicStyle(), collectImage(), collectLayoutStyle(), collectParagraphStyle(), collectPlaceholderStyle(), collectStylesheet(), collectText(), collectTextPlaceholder(), collectUnfiltered(), and startParagraph().

int libetonyek::KEYCollectorBase::m_groupLevel
| private

Referenced by endGroup(), startGroup(), and ~KEYCollectorBase().

bool libetonyek::KEYCollectorBase::m_layerOpened
| private

Referenced by collectGraphicStyle(), collectLayer(), endGroup(), endLayer(), startGroup(), startLayer(), and ~KEYCollectorBase().

std::stack<Level> libetonyek::KEYCollectorBase::m_levelStack
| private

Referenced by collectGeometry(), collectGraphicStyle(), collectImage(), collectLine(), collectMedia(), collectShape(), collectStickyNote(), collectTable(), endLevel(), startLevel(), and ~KEYCollectorBase().

std::deque<KEYStylePtr_t> libetonyek::KEYCollectorBase::m_newStyles
| private

Referenced by collectCharacterStyle(), collectGraphicStyle(), collectLayoutStyle(), collectParagraphStyle(), collectPlaceholderStyle(), and collectStylesheet().

KEYObjectList_t libetonyek::KEYCollectorBase::m_notes
| private

Referenced by collectNote(), endPage(), getNotes(), and startPage().

std::stack<KEYObjectList_t> libetonyek::KEYCollectorBase::m_objectsStack
| private

Referenced by collectGroup(), collectImage(), collectLayer(), collectLine(), collectMedia(), collectShape(), collectTable(), collectTextPlaceholder(), endGroup(), endLayer(), startGroup(), startLayer(), and ~KEYCollectorBase().

KEYStickyNotes_t libetonyek::KEYCollectorBase::m_stickyNotes
| private

Referenced by collectStickyNote(), endPage(), getStickyNotes(), and startPage().

The documentation for this class was generated from the following files:

- KEYCollectorBase.h
- KEYCollectorBase.cpp